{"openapi":"3.1.0","info":{"title":"KNMI Data Platform - EDR API","version":"1.0.0","description":"For more information about the EDR API and how to use it, visit the <a href=\"https://developer.dataplatform.knmi.nl/edr-api\">EDR Documentation Page</a>."},"servers":[{"url":"https://api.dataplatform.knmi.nl/edr/v1"}],"paths":{"/":{"get":{"tags":["Capabilities"],"summary":"Landing page of this API","description":"The landing page provides links to the API definition, the Conformance statements and the metadata about the feature data in this dataset.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"links":{"items":{"$ref":"#/components/schemas/Link"},"title":"Links","type":"array"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"provider":{"anyOf":[{"$ref":"#/components/schemas/Provider"},{"type":"null"}],"default":null},"contact":{"anyOf":[{"$ref":"#/components/schemas/Contact"},{"type":"null"}],"default":null}},"required":["links"],"title":"LandingPageModel","type":"object"},"example":{"$defs":{"Contact":{"additionalProperties":false,"properties":{"email":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Email"},"phone":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Phone"},"fax":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Fax"},"hours":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hours"},"instructions":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Instructions"},"address":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Address"},"postalCode":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Postalcode"},"city":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"City"},"stateorprovince":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Stateorprovince"},"country":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Country"}},"title":"Contact","type":"object"},"CorridorVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","height_units","within_units"],"title":"CorridorVariables","type":"object"},"CubeVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"}},"required":["query_type","height_units"],"title":"CubeVariables","type":"object"},"ItemVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"ItemVariables","type":"object"},"Link":{"additionalProperties":false,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"},{"type":"null"}],"default":null,"title":"Variables"}},"required":["href","rel"],"title":"Link","type":"object"},"Provider":{"additionalProperties":false,"properties":{"name":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Name"},"url":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Url"}},"title":"Provider","type":"object"},"RadiusVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","within_units"],"title":"RadiusVariables","type":"object"},"Variables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"Variables","type":"object"}},"additionalProperties":false,"properties":{"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"links":{"items":{"$ref":"#/$defs/Link"},"title":"Links","type":"array"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"provider":{"anyOf":[{"$ref":"#/$defs/Provider"},{"type":"null"}],"default":null},"contact":{"anyOf":[{"$ref":"#/$defs/Contact"},{"type":"null"}],"default":null}},"required":["links"],"title":"LandingPageModel","type":"object"}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections":{"get":{"tags":["Capabilities"],"summary":"List the collections available from the service","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"links":{"items":{"$ref":"#/components/schemas/Link"},"title":"Links","type":"array"},"collections":{"items":{"$ref":"#/components/schemas/Collection"},"title":"Collections","type":"array"}},"required":["links","collections"],"title":"Collections","type":"object"},"example":{"$defs":{"Category":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"}},"required":["id","label"],"title":"Category","type":"object"},"Collection":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"links":{"items":{"$ref":"#/$defs/Link"},"title":"Links","type":"array"},"extent":{"$ref":"#/$defs/Extent"},"data_queries":{"anyOf":[{"$ref":"#/$defs/DataQueries"},{"type":"null"}],"default":null},"crs":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Crs"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"parameter_names":{"$ref":"#/$defs/RootModel_Dict_str__Parameter__"},"distanceunits":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Distanceunits"}},"required":["id","links","extent","parameter_names"],"title":"Collection","type":"object"},"CorridorVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","height_units","within_units"],"title":"CorridorVariables","type":"object"},"CubeVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"}},"required":["query_type","height_units"],"title":"CubeVariables","type":"object"},"Custom":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"interval":{"items":{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},"title":"Interval","type":"array"},"values":{"anyOf":[{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},{"type":"null"}],"default":null,"title":"Values"},"reference":{"minLength":1,"title":"Reference","type":"string"}},"required":["id","interval","reference"],"title":"Custom","type":"object"},"DataQueries":{"additionalProperties":false,"properties":{"position":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"radius":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"area":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"cube":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"trajectory":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"corridor":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"locations":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"items":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"instances":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null}},"title":"DataQueries","type":"object"},"EDRQuery":{"additionalProperties":false,"properties":{"link":{"$ref":"#/$defs/EDRQueryLink"}},"required":["link"],"title":"EDRQuery","type":"object"},"EDRQueryLink":{"additionalProperties":true,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"}],"title":"Variables"}},"required":["href","rel","variables"],"title":"EDRQueryLink","type":"object"},"Extent":{"additionalProperties":false,"properties":{"spatial":{"$ref":"#/$defs/Spatial"},"temporal":{"anyOf":[{"$ref":"#/$defs/Temporal"},{"type":"null"}],"default":null},"vertical":{"anyOf":[{"$ref":"#/$defs/Vertical"},{"type":"null"}],"default":null},"custom":{"anyOf":[{"items":{"$ref":"#/$defs/Custom"},"type":"array"},{"type":"null"}],"default":null,"title":"Custom"}},"required":["spatial"],"title":"Extent","type":"object"},"ItemVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"ItemVariables","type":"object"},"Link":{"additionalProperties":false,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"},{"type":"null"}],"default":null,"title":"Variables"}},"required":["href","rel"],"title":"Link","type":"object"},"MeasurementType":{"additionalProperties":false,"properties":{"method":{"minLength":1,"title":"Method","type":"string"},"duration":{"minLength":1,"title":"Duration","type":"string"}},"required":["method","duration"],"title":"MeasurementType","type":"object"},"ObservedProperty":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"categories":{"anyOf":[{"items":{"$ref":"#/$defs/Category"},"type":"array"},{"type":"null"}],"default":null,"title":"Categories"}},"required":["label"],"title":"ObservedProperty","type":"object"},"Parameter":{"additionalProperties":true,"properties":{"type":{"const":"Parameter","default":"Parameter","title":"Type","type":"string"},"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"data-type":{"anyOf":[{"enum":["integer","float","string"],"type":"string"},{"type":"null"}],"default":null,"title":"Data-Type"},"unit":{"anyOf":[{"$ref":"#/$defs/Unit"},{"type":"null"}],"default":null},"observedProperty":{"$ref":"#/$defs/ObservedProperty"},"extent":{"anyOf":[{"$ref":"#/$defs/Extent"},{"type":"null"}],"default":null},"measurementType":{"anyOf":[{"$ref":"#/$defs/MeasurementType"},{"type":"null"}],"default":null}},"required":["observedProperty"],"title":"Parameter","type":"object"},"RadiusVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","within_units"],"title":"RadiusVariables","type":"object"},"RootModel_Dict_str__Parameter__":{"additionalProperties":{"$ref":"#/$defs/Parameter"},"title":"RootModel[Dict[str, Parameter]]","type":"object"},"Spatial":{"additionalProperties":false,"properties":{"bbox":{"items":{"items":{"type":"number"},"type":"array"},"title":"Bbox","type":"array"},"crs":{"minLength":1,"title":"Crs","type":"string"}},"required":["bbox","crs"],"title":"Spatial","type":"object"},"Symbol":{"additionalProperties":true,"properties":{"value":{"minLength":1,"title":"Value","type":"string"},"type":{"minLength":1,"title":"Type","type":"string"}},"required":["value","type"],"title":"Symbol","type":"object"},"Temporal":{"additionalProperties":false,"properties":{"interval":{"items":{"items":{"format":"date-time","type":"string"},"maxItems":2,"minItems":2,"type":"array"},"title":"Interval","type":"array"},"values":{"items":{"minLength":1,"type":"string"},"title":"Values","type":"array"},"trs":{"minLength":1,"title":"Trs","type":"string"}},"required":["interval","values","trs"],"title":"Temporal","type":"object"},"Unit":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"symbol":{"anyOf":[{"minLength":1,"type":"string"},{"$ref":"#/$defs/Symbol"},{"type":"null"}],"default":null,"title":"Symbol"}},"title":"Unit","type":"object"},"Variables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"Variables","type":"object"},"Vertical":{"additionalProperties":false,"properties":{"interval":{"items":{"items":{"minLength":1,"type":"string"},"type":"array"},"title":"Interval","type":"array"},"values":{"items":{"minLength":1,"type":"string"},"title":"Values","type":"array"},"vrs":{"minLength":1,"title":"Vrs","type":"string"}},"required":["interval","values","vrs"],"title":"Vertical","type":"object"}},"additionalProperties":false,"properties":{"links":{"items":{"$ref":"#/$defs/Link"},"title":"Links","type":"array"},"collections":{"items":{"$ref":"#/$defs/Collection"},"title":"Collections","type":"array"}},"required":["links","collections"],"title":"Collections","type":"object"}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/10-minute-in-situ-meteorological-observations":{"get":{"tags":["10-minute-in-situ-meteorological-observations"],"summary":"Description and metadata of the collection","description":"This will provide information about the collection in JSON","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"links":{"items":{"$ref":"#/components/schemas/Link"},"title":"Links","type":"array"},"extent":{"$ref":"#/components/schemas/Extent"},"data_queries":{"anyOf":[{"$ref":"#/components/schemas/DataQueries"},{"type":"null"}],"default":null},"crs":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Crs"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"parameter_names":{"$ref":"#/components/schemas/RootModel_Dict_str__Parameter__"},"distanceunits":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Distanceunits"}},"required":["id","links","extent","parameter_names"],"title":"Collection","type":"object"},"example":{"$defs":{"Category":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"}},"required":["id","label"],"title":"Category","type":"object"},"CorridorVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","height_units","within_units"],"title":"CorridorVariables","type":"object"},"CubeVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"}},"required":["query_type","height_units"],"title":"CubeVariables","type":"object"},"Custom":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"interval":{"items":{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},"title":"Interval","type":"array"},"values":{"anyOf":[{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},{"type":"null"}],"default":null,"title":"Values"},"reference":{"minLength":1,"title":"Reference","type":"string"}},"required":["id","interval","reference"],"title":"Custom","type":"object"},"DataQueries":{"additionalProperties":false,"properties":{"position":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"radius":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"area":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"cube":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"trajectory":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"corridor":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"locations":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"items":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"instances":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null}},"title":"DataQueries","type":"object"},"EDRQuery":{"additionalProperties":false,"properties":{"link":{"$ref":"#/$defs/EDRQueryLink"}},"required":["link"],"title":"EDRQuery","type":"object"},"EDRQueryLink":{"additionalProperties":true,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"}],"title":"Variables"}},"required":["href","rel","variables"],"title":"EDRQueryLink","type":"object"},"Extent":{"additionalProperties":false,"properties":{"spatial":{"$ref":"#/$defs/Spatial"},"temporal":{"anyOf":[{"$ref":"#/$defs/Temporal"},{"type":"null"}],"default":null},"vertical":{"anyOf":[{"$ref":"#/$defs/Vertical"},{"type":"null"}],"default":null},"custom":{"anyOf":[{"items":{"$ref":"#/$defs/Custom"},"type":"array"},{"type":"null"}],"default":null,"title":"Custom"}},"required":["spatial"],"title":"Extent","type":"object"},"ItemVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"ItemVariables","type":"object"},"Link":{"additionalProperties":false,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"},{"type":"null"}],"default":null,"title":"Variables"}},"required":["href","rel"],"title":"Link","type":"object"},"MeasurementType":{"additionalProperties":false,"properties":{"method":{"minLength":1,"title":"Method","type":"string"},"duration":{"minLength":1,"title":"Duration","type":"string"}},"required":["method","duration"],"title":"MeasurementType","type":"object"},"ObservedProperty":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"categories":{"anyOf":[{"items":{"$ref":"#/$defs/Category"},"type":"array"},{"type":"null"}],"default":null,"title":"Categories"}},"required":["label"],"title":"ObservedProperty","type":"object"},"Parameter":{"additionalProperties":true,"properties":{"type":{"const":"Parameter","default":"Parameter","title":"Type","type":"string"},"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"data-type":{"anyOf":[{"enum":["integer","float","string"],"type":"string"},{"type":"null"}],"default":null,"title":"Data-Type"},"unit":{"anyOf":[{"$ref":"#/$defs/Unit"},{"type":"null"}],"default":null},"observedProperty":{"$ref":"#/$defs/ObservedProperty"},"extent":{"anyOf":[{"$ref":"#/$defs/Extent"},{"type":"null"}],"default":null},"measurementType":{"anyOf":[{"$ref":"#/$defs/MeasurementType"},{"type":"null"}],"default":null}},"required":["observedProperty"],"title":"Parameter","type":"object"},"RadiusVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","within_units"],"title":"RadiusVariables","type":"object"},"RootModel_Dict_str__Parameter__":{"additionalProperties":{"$ref":"#/$defs/Parameter"},"title":"RootModel[Dict[str, Parameter]]","type":"object"},"Spatial":{"additionalProperties":false,"properties":{"bbox":{"items":{"items":{"type":"number"},"type":"array"},"title":"Bbox","type":"array"},"crs":{"minLength":1,"title":"Crs","type":"string"}},"required":["bbox","crs"],"title":"Spatial","type":"object"},"Symbol":{"additionalProperties":true,"properties":{"value":{"minLength":1,"title":"Value","type":"string"},"type":{"minLength":1,"title":"Type","type":"string"}},"required":["value","type"],"title":"Symbol","type":"object"},"Temporal":{"additionalProperties":false,"properties":{"interval":{"items":{"items":{"format":"date-time","type":"string"},"maxItems":2,"minItems":2,"type":"array"},"title":"Interval","type":"array"},"values":{"items":{"minLength":1,"type":"string"},"title":"Values","type":"array"},"trs":{"minLength":1,"title":"Trs","type":"string"}},"required":["interval","values","trs"],"title":"Temporal","type":"object"},"Unit":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"symbol":{"anyOf":[{"minLength":1,"type":"string"},{"$ref":"#/$defs/Symbol"},{"type":"null"}],"default":null,"title":"Symbol"}},"title":"Unit","type":"object"},"Variables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"Variables","type":"object"},"Vertical":{"additionalProperties":false,"properties":{"interval":{"items":{"items":{"minLength":1,"type":"string"},"type":"array"},"title":"Interval","type":"array"},"values":{"items":{"minLength":1,"type":"string"},"title":"Values","type":"array"},"vrs":{"minLength":1,"title":"Vrs","type":"string"}},"required":["interval","values","vrs"],"title":"Vertical","type":"object"}},"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"links":{"items":{"$ref":"#/$defs/Link"},"title":"Links","type":"array"},"extent":{"$ref":"#/$defs/Extent"},"data_queries":{"anyOf":[{"$ref":"#/$defs/DataQueries"},{"type":"null"}],"default":null},"crs":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Crs"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"parameter_names":{"$ref":"#/$defs/RootModel_Dict_str__Parameter__"},"distanceunits":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Distanceunits"}},"required":["id","links","extent","parameter_names"],"title":"Collection","type":"object"}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/10-minute-in-situ-meteorological-observations/area":{"get":{"tags":["10-minute-in-situ-meteorological-observations"],"summary":"Query endpoint for area queries of collection 10-minute-in-situ-meteorological-observations defined by coordinates.","description":"Return data for the area defined by coordinates","parameters":[{"name":"f","in":"query","description":"Format of return data. Either 'netCDF4' or 'CoverageJSON'. Default is 'CoverageJSON'.","required":false,"examples":{"CoverageJSON":{"value":"CoverageJSON","summary":"CoverageJSON"},"netCDF4":{"value":"netCDF4","summary":"netCDF4"}}},{"name":"coords","in":"query","required":true,"schema":{"type":"string","title":"Coords"},"description":"Polygon to return data for. The coordinates are defined by a Well Known Text (wkt) string.","examples":{"polygon":{"summary":"POLYGON()","value":"POLYGON((5.1 52.0, 5.2 52.0, 5.2 52.1, 5.1 52.1, 5.1 52.0))"}}},{"name":"datetime","in":"query","required":false,"schema":{"type":"string","title":"Datetime"},"description":"Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"summary":"Single date-time","value":"2024-08-02T00:00:00Z"},"closed_interval":{"summary":"Closed interval","value":"2022-07-22T04:10:00Z/2022-07-23T04:10:00Z"},"left_open_interval":{"summary":"Left open interval","value":"../2022-07-22T04:10:00Z"},"right_open_interval":{"summary":"Right open interval","value":"2022-07-22T04:10:00Z/.."},"all_time":{"summary":"All date-times"}}},{"name":"parameter-name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata.","title":"Parameter-Name"},"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata.","examples":{"all":{"summary":"All parameters"},"one":{"summary":"One parameter","value":"dd"},"multiple":{"summary":"Multiple parameters","value":"dd,ff"}}},{"name":"method","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of methods to retrieve data for. Valid methods are listed in the collections metadata.","title":"Method"},"description":"Comma delimited list of methods to retrieve data for. Valid methods are listed in the collections metadata.","examples":{"all":{"summary":"All methods"},"one":{"summary":"One method","value":"maximum"},"multiple":{"summary":"Multiple methods","value":"maximum,sum"}}},{"name":"duration","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of durations to retrieve data for by giving the aggregation periods as an ISO 8601 duration. Valid durations are listed in the collections metadata.","title":"Duration"},"description":"Comma delimited list of durations to retrieve data for by giving the aggregation periods as an ISO 8601 duration. Valid durations are listed in the collections metadata.","examples":{"all":{"summary":"All durations"},"one":{"summary":"One duration","value":"-PT10M"},"multiple":{"summary":"Multiple durations","value":"-PT10M, -PT1H, -P1D"}}},{"name":"standard_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of standard_names to retrieve data for. Valid standard_names are listed in the collections metadata.","title":"Standard Name"},"description":"Comma delimited list of standard_names to retrieve data for. Valid standard_names are listed in the collections metadata.","examples":{"all":{"summary":"All standard names"},"one":{"summary":"One standard name","value":"wind_speed_of_gust"},"multiple":{"summary":"Multiple standard names","value":"wind_speed_of_gust,air_pressure"}}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list or two values seperated by a slash of vertical level(s) to retrieve data for. Valid levels are listed in the collections metadata.","title":"Level"},"description":"Comma delimited list or two values seperated by a slash of vertical level(s) to retrieve data for. Valid levels are listed in the collections metadata.","examples":{"all":{"summary":"All levels"},"one":{"summary":"One level","value":"10.0"},"multiple":{"summary":"Multiple levels","value":"0.1, 1.0, 10.0"},"closed_interval":{"summary":"All levels between","value":"1.0/10.0"},"left_open_interval":{"summary":"All levels below","value":"../10.0"},"right_open_interval":{"summary":"All levels above","value":"10.0/.."}}}],"responses":{"200":{"description":"OK","content":{"application/prs.coverage+json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/CoverageCollection"},{"$ref":"#/components/schemas/Coverage"}]},"example":{"type":"CoverageCollection","domainType":"PointSeries","coverages":[{"type":"Coverage","domain":{"type":"Domain","domainType":"PointSeries","axes":{"x":{"values":[3.275]},"y":{"values":[51.9978]},"t":{"values":["2022-07-22T04:10:00Z"]}}},"ranges":{"t10":{"type":"NdArray","dataType":"float","axisNames":["t","y","x"],"shape":[1,1,1],"values":[16.5]}},"eumetnet:locationId":"0-20000-0-06321"}],"parameters":{"t10":{"type":"Parameter","label":{"en":"Air Temperature Mean"},"description":{"en":"10 minute mean air temperature, in degrees Celsius"},"observedProperty":{"id":"https://vocab.nerc.ac.uk/standard_name/air_temperature/","label":{"en":"Air temperature"}},"unit":{"label":{"en":"degrees celsius"},"symbol":{"value":"°C","type":"https://qudt.org/vocab/unit/DEG_C"}},"measurementType":{"method":"mean","duration":"N/A"},"eumetnet:standard_name":"air_temperature"}},"referencing":[{"coordinates":["y","x"],"system":{"type":"GeographicCRS","id":"http://www.opengis.net/def/crs/EPSG/0/4326"}},{"coordinates":["t"],"system":{"type":"TemporalRS","calendar":"Gregorian"}}]}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/10-minute-in-situ-meteorological-observations/cube":{"get":{"tags":["10-minute-in-situ-meteorological-observations"],"summary":"Query endpoint for cube queries of collection 10-minute-in-situ-meteorological-observations defined by coordinates.","description":"Return data for the cube defined by coordinates","parameters":[{"name":"f","in":"query","description":"Format of return data. Either 'netCDF4' or 'CoverageJSON'. Default is 'CoverageJSON'.","required":false,"examples":{"CoverageJSON":{"value":"CoverageJSON","summary":"CoverageJSON"},"netCDF4":{"value":"netCDF4","summary":"netCDF4"}}},{"name":"bbox","in":"query","required":true,"schema":{"type":"string","title":"Bbox"},"description":"Only features that have a geometry that intersects the bounding box are selected. ","examples":{"4 numbers":{"summary":"Bounding box - 2 dimensional","value":"5.1, 52.0, 5.2, 52.1"}}},{"name":"datetime","in":"query","required":false,"schema":{"type":"string","title":"Datetime"},"description":"Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"summary":"Single date-time","value":"2024-08-02T00:00:00Z"},"closed_interval":{"summary":"Closed interval","value":"2022-07-22T04:10:00Z/2022-07-23T04:10:00Z"},"left_open_interval":{"summary":"Left open interval","value":"../2022-07-22T04:10:00Z"},"right_open_interval":{"summary":"Right open interval","value":"2022-07-22T04:10:00Z/.."},"all_time":{"summary":"All date-times"}}},{"name":"parameter-name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata.","title":"Parameter-Name"},"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata.","examples":{"all":{"summary":"All parameters"},"one":{"summary":"One parameter","value":"dd"},"multiple":{"summary":"Multiple parameters","value":"dd,ff"}}},{"name":"method","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of methods to retrieve data for. Valid methods are listed in the collections metadata.","title":"Method"},"description":"Comma delimited list of methods to retrieve data for. Valid methods are listed in the collections metadata.","examples":{"all":{"summary":"All methods"},"one":{"summary":"One method","value":"maximum"},"multiple":{"summary":"Multiple methods","value":"maximum,sum"}}},{"name":"duration","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of durations to retrieve data for by giving the aggregation periods as an ISO 8601 duration. Valid durations are listed in the collections metadata.","title":"Duration"},"description":"Comma delimited list of durations to retrieve data for by giving the aggregation periods as an ISO 8601 duration. Valid durations are listed in the collections metadata.","examples":{"all":{"summary":"All durations"},"one":{"summary":"One duration","value":"-PT10M"},"multiple":{"summary":"Multiple durations","value":"-PT10M, -PT1H, -P1D"}}},{"name":"standard_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of standard_names to retrieve data for. Valid standard_names are listed in the collections metadata.","title":"Standard Name"},"description":"Comma delimited list of standard_names to retrieve data for. Valid standard_names are listed in the collections metadata.","examples":{"all":{"summary":"All standard names"},"one":{"summary":"One standard name","value":"wind_speed_of_gust"},"multiple":{"summary":"Multiple standard names","value":"wind_speed_of_gust,air_pressure"}}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list or two values seperated by a slash of vertical level(s) to retrieve data for. Valid levels are listed in the collections metadata.","title":"Level"},"description":"Comma delimited list or two values seperated by a slash of vertical level(s) to retrieve data for. Valid levels are listed in the collections metadata.","examples":{"all":{"summary":"All levels"},"one":{"summary":"One level","value":"10.0"},"multiple":{"summary":"Multiple levels","value":"0.1, 1.0, 10.0"},"closed_interval":{"summary":"All levels between","value":"1.0/10.0"},"left_open_interval":{"summary":"All levels below","value":"../10.0"},"right_open_interval":{"summary":"All levels above","value":"10.0/.."}}}],"responses":{"200":{"description":"OK","content":{"application/prs.coverage+json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/CoverageCollection"},{"$ref":"#/components/schemas/Coverage"}]},"example":{"type":"CoverageCollection","domainType":"PointSeries","coverages":[{"type":"Coverage","domain":{"type":"Domain","domainType":"PointSeries","axes":{"x":{"values":[3.275]},"y":{"values":[51.9978]},"t":{"values":["2022-07-22T04:10:00Z"]}}},"ranges":{"t10":{"type":"NdArray","dataType":"float","axisNames":["t","y","x"],"shape":[1,1,1],"values":[16.5]}},"eumetnet:locationId":"0-20000-0-06321"}],"parameters":{"t10":{"type":"Parameter","label":{"en":"Air Temperature Mean"},"description":{"en":"10 minute mean air temperature, in degrees Celsius"},"observedProperty":{"id":"https://vocab.nerc.ac.uk/standard_name/air_temperature/","label":{"en":"Air temperature"}},"unit":{"label":{"en":"degrees celsius"},"symbol":{"value":"°C","type":"https://qudt.org/vocab/unit/DEG_C"}},"measurementType":{"method":"mean","duration":"N/A"},"eumetnet:standard_name":"air_temperature"}},"referencing":[{"coordinates":["y","x"],"system":{"type":"GeographicCRS","id":"http://www.opengis.net/def/crs/EPSG/0/4326"}},{"coordinates":["t"],"system":{"type":"TemporalRS","calendar":"Gregorian"}}]}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/10-minute-in-situ-meteorological-observations/locations":{"get":{"tags":["10-minute-in-situ-meteorological-observations"],"summary":"List available location identifiers for the collection","description":"List available location identifiers for the collection","parameters":[{"name":"bbox","in":"query","required":false,"schema":{"type":"string","title":"Bbox"},"description":"Only features that have a geometry that intersects the bounding box are selected. ","examples":{"no_numbers":{"summary":"Full geometry (empty)"},"4 numbers":{"summary":"Bounding box - 2 dimensional","value":"5.1, 52.0, 5.2, 52.1"}}},{"name":"datetime","in":"query","required":false,"schema":{"type":"string","title":"Datetime"},"description":"Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"summary":"Single date-time","value":"2024-08-02T00:00:00Z"},"closed_interval":{"summary":"Closed interval","value":"2022-07-22T04:10:00Z/2022-07-23T04:10:00Z"},"left_open_interval":{"summary":"Left open interval","value":"../2022-07-22T04:10:00Z"},"right_open_interval":{"summary":"Right open interval","value":"2022-07-22T04:10:00Z/.."},"all_time":{"summary":"All date-times"}}}],"responses":{"200":{"description":"OK","content":{"application/geo+json":{"schema":{"description":"FeatureCollection Model","properties":{"bbox":{"anyOf":[{"maxItems":4,"minItems":4,"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array"},{"maxItems":6,"minItems":6,"prefixItems":[{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"},{"type":"number"}],"type":"array"},{"type":"null"}],"default":null,"title":"Bbox"},"type":{"const":"FeatureCollection","title":"Type","type":"string"},"features":{"items":{"$ref":"#/components/schemas/Feature"},"title":"Features","type":"array"}},"required":["type","features"],"title":"FeatureCollection","type":"object"},"example":{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Point","coordinates":[4.5175,52.4636]},"properties":{"name":"IJmond","wmoId":"06209","height_above_mean_sea_level":0.0},"id":"0-20000-0-06209"},{"type":"Feature","geometry":{"type":"Point","coordinates":[4.4294,52.1703]},"properties":{"name":"VALKENBURG VK","wmoId":"06210","height_above_mean_sea_level":-0.2},"id":"0-20000-0-06210"}]}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/10-minute-in-situ-meteorological-observations/locations/{location_id}":{"get":{"tags":["10-minute-in-situ-meteorological-observations"],"summary":"Query endpoint for location queries of collection 10-minute-in-situ-meteorological-observations defined by a location id","description":"Return data for the location defined by location_id","parameters":[{"name":"f","in":"query","description":"Format of return data. Either 'netCDF4' or 'CoverageJSON'. Default is 'CoverageJSON'.","required":false,"examples":{"CoverageJSON":{"value":"CoverageJSON","summary":"CoverageJSON"},"netCDF4":{"value":"netCDF4","summary":"netCDF4"}}},{"name":"location_id","in":"path","required":true,"schema":{"type":"string","description":"The identifier of one or more stations separated by commas.","title":"Location Id"},"description":"The identifier of one or more stations separated by commas.","examples":{"AMSTERDAM":{"value":"0-20000-0-06240","description":"Schiphol Airport"},"DE BILT":{"value":"0-20000-0-06260","description":"De Bilt"},"LEEUWARDEN":{"value":"0-20000-0-06270","description":"Leeuwarden Airport"},"TERSCHELLING":{"value":"0-20000-0-06251","description":"Hoorn Terschelling"}}},{"name":"datetime","in":"query","required":false,"schema":{"type":"string","title":"Datetime"},"description":"Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"summary":"Single date-time","value":"2024-08-02T00:00:00Z"},"closed_interval":{"summary":"Closed interval","value":"2022-07-22T04:10:00Z/2022-07-23T04:10:00Z"},"left_open_interval":{"summary":"Left open interval","value":"../2022-07-22T04:10:00Z"},"right_open_interval":{"summary":"Right open interval","value":"2022-07-22T04:10:00Z/.."},"all_time":{"summary":"All date-times"}}},{"name":"parameter-name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata.","title":"Parameter-Name"},"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata.","examples":{"all":{"summary":"All parameters"},"one":{"summary":"One parameter","value":"dd"},"multiple":{"summary":"Multiple parameters","value":"dd,ff"}}},{"name":"method","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of methods to retrieve data for. Valid methods are listed in the collections metadata.","title":"Method"},"description":"Comma delimited list of methods to retrieve data for. Valid methods are listed in the collections metadata.","examples":{"all":{"summary":"All methods"},"one":{"summary":"One method","value":"maximum"},"multiple":{"summary":"Multiple methods","value":"maximum,sum"}}},{"name":"duration","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of durations to retrieve data for by giving the aggregation periods as an ISO 8601 duration. Valid durations are listed in the collections metadata.","title":"Duration"},"description":"Comma delimited list of durations to retrieve data for by giving the aggregation periods as an ISO 8601 duration. Valid durations are listed in the collections metadata.","examples":{"all":{"summary":"All durations"},"one":{"summary":"One duration","value":"-PT10M"},"multiple":{"summary":"Multiple durations","value":"-PT10M, -PT1H, -P1D"}}},{"name":"standard_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of standard_names to retrieve data for. Valid standard_names are listed in the collections metadata.","title":"Standard Name"},"description":"Comma delimited list of standard_names to retrieve data for. Valid standard_names are listed in the collections metadata.","examples":{"all":{"summary":"All standard names"},"one":{"summary":"One standard name","value":"wind_speed_of_gust"},"multiple":{"summary":"Multiple standard names","value":"wind_speed_of_gust,air_pressure"}}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list or two values seperated by a slash of vertical level(s) to retrieve data for. Valid levels are listed in the collections metadata.","title":"Level"},"description":"Comma delimited list or two values seperated by a slash of vertical level(s) to retrieve data for. Valid levels are listed in the collections metadata.","examples":{"all":{"summary":"All levels"},"one":{"summary":"One level","value":"10.0"},"multiple":{"summary":"Multiple levels","value":"0.1, 1.0, 10.0"},"closed_interval":{"summary":"All levels between","value":"1.0/10.0"},"left_open_interval":{"summary":"All levels below","value":"../10.0"},"right_open_interval":{"summary":"All levels above","value":"10.0/.."}}}],"responses":{"200":{"description":"OK","content":{"application/prs.coverage+json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/CoverageCollection"},{"$ref":"#/components/schemas/Coverage"}]},"example":{"type":"CoverageCollection","domainType":"PointSeries","coverages":[{"type":"Coverage","domain":{"type":"Domain","domainType":"PointSeries","axes":{"x":{"values":[3.275]},"y":{"values":[51.9978]},"t":{"values":["2022-07-22T04:10:00Z"]}}},"ranges":{"t10":{"type":"NdArray","dataType":"float","axisNames":["t","y","x"],"shape":[1,1,1],"values":[16.5]}},"eumetnet:locationId":"0-20000-0-06321"}],"parameters":{"t10":{"type":"Parameter","label":{"en":"Air Temperature Mean"},"description":{"en":"10 minute mean air temperature, in degrees Celsius"},"observedProperty":{"id":"https://vocab.nerc.ac.uk/standard_name/air_temperature/","label":{"en":"Air temperature"}},"unit":{"label":{"en":"degrees celsius"},"symbol":{"value":"°C","type":"https://qudt.org/vocab/unit/DEG_C"}},"measurementType":{"method":"mean","duration":"N/A"},"eumetnet:standard_name":"air_temperature"}},"referencing":[{"coordinates":["y","x"],"system":{"type":"GeographicCRS","id":"http://www.opengis.net/def/crs/EPSG/0/4326"}},{"coordinates":["t"],"system":{"type":"TemporalRS","calendar":"Gregorian"}}]}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/10-minute-in-situ-meteorological-observations/position":{"get":{"tags":["10-minute-in-situ-meteorological-observations"],"summary":"Query endpoint for position queries of collection 10-minute-in-situ-meteorological-observations defined by coordinates.","description":"Return data for the position defined by coordinates","parameters":[{"name":"f","in":"query","description":"Format of return data. Either 'netCDF4' or 'CoverageJSON'. Default is 'CoverageJSON'.","required":false,"examples":{"CoverageJSON":{"value":"CoverageJSON","summary":"CoverageJSON"},"netCDF4":{"value":"netCDF4","summary":"netCDF4"}}},{"name":"coords","in":"query","required":true,"schema":{"type":"string","title":"Coords"},"description":"Location to return data for. The coordinates are defined by a Well Known Text (wkt) string.","examples":{"point":{"summary":"POINT()","value":"POINT(5.1797 52.0989)"}}},{"name":"datetime","in":"query","required":false,"schema":{"type":"string","title":"Datetime"},"description":"Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"summary":"Single date-time","value":"2024-08-02T00:00:00Z"},"closed_interval":{"summary":"Closed interval","value":"2022-07-22T04:10:00Z/2022-07-23T04:10:00Z"},"left_open_interval":{"summary":"Left open interval","value":"../2022-07-22T04:10:00Z"},"right_open_interval":{"summary":"Right open interval","value":"2022-07-22T04:10:00Z/.."},"all_time":{"summary":"All date-times"}}},{"name":"parameter-name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata.","title":"Parameter-Name"},"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata.","examples":{"all":{"summary":"All parameters"},"one":{"summary":"One parameter","value":"dd"},"multiple":{"summary":"Multiple parameters","value":"dd,ff"}}},{"name":"method","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of methods to retrieve data for. Valid methods are listed in the collections metadata.","title":"Method"},"description":"Comma delimited list of methods to retrieve data for. Valid methods are listed in the collections metadata.","examples":{"all":{"summary":"All methods"},"one":{"summary":"One method","value":"maximum"},"multiple":{"summary":"Multiple methods","value":"maximum,sum"}}},{"name":"duration","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of durations to retrieve data for by giving the aggregation periods as an ISO 8601 duration. Valid durations are listed in the collections metadata.","title":"Duration"},"description":"Comma delimited list of durations to retrieve data for by giving the aggregation periods as an ISO 8601 duration. Valid durations are listed in the collections metadata.","examples":{"all":{"summary":"All durations"},"one":{"summary":"One duration","value":"-PT10M"},"multiple":{"summary":"Multiple durations","value":"-PT10M, -PT1H, -P1D"}}},{"name":"standard_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of standard_names to retrieve data for. Valid standard_names are listed in the collections metadata.","title":"Standard Name"},"description":"Comma delimited list of standard_names to retrieve data for. Valid standard_names are listed in the collections metadata.","examples":{"all":{"summary":"All standard names"},"one":{"summary":"One standard name","value":"wind_speed_of_gust"},"multiple":{"summary":"Multiple standard names","value":"wind_speed_of_gust,air_pressure"}}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list or two values seperated by a slash of vertical level(s) to retrieve data for. Valid levels are listed in the collections metadata.","title":"Level"},"description":"Comma delimited list or two values seperated by a slash of vertical level(s) to retrieve data for. Valid levels are listed in the collections metadata.","examples":{"all":{"summary":"All levels"},"one":{"summary":"One level","value":"10.0"},"multiple":{"summary":"Multiple levels","value":"0.1, 1.0, 10.0"},"closed_interval":{"summary":"All levels between","value":"1.0/10.0"},"left_open_interval":{"summary":"All levels below","value":"../10.0"},"right_open_interval":{"summary":"All levels above","value":"10.0/.."}}}],"responses":{"200":{"description":"OK","content":{"application/prs.coverage+json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/CoverageCollection"},{"$ref":"#/components/schemas/Coverage"}]},"example":{"type":"CoverageCollection","domainType":"PointSeries","coverages":[{"type":"Coverage","domain":{"type":"Domain","domainType":"PointSeries","axes":{"x":{"values":[3.275]},"y":{"values":[51.9978]},"t":{"values":["2022-07-22T04:10:00Z"]}}},"ranges":{"t10":{"type":"NdArray","dataType":"float","axisNames":["t","y","x"],"shape":[1,1,1],"values":[16.5]}},"eumetnet:locationId":"0-20000-0-06321"}],"parameters":{"t10":{"type":"Parameter","label":{"en":"Air Temperature Mean"},"description":{"en":"10 minute mean air temperature, in degrees Celsius"},"observedProperty":{"id":"https://vocab.nerc.ac.uk/standard_name/air_temperature/","label":{"en":"Air temperature"}},"unit":{"label":{"en":"degrees celsius"},"symbol":{"value":"°C","type":"https://qudt.org/vocab/unit/DEG_C"}},"measurementType":{"method":"mean","duration":"N/A"},"eumetnet:standard_name":"air_temperature"}},"referencing":[{"coordinates":["y","x"],"system":{"type":"GeographicCRS","id":"http://www.opengis.net/def/crs/EPSG/0/4326"}},{"coordinates":["t"],"system":{"type":"TemporalRS","calendar":"Gregorian"}}]}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/EV24":{"get":{"tags":["EV24"],"summary":"Description and metadata of the collection","description":"This will provide information about the collection in JSON","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"links":{"items":{"$ref":"#/components/schemas/Link"},"title":"Links","type":"array"},"extent":{"$ref":"#/components/schemas/Extent"},"data_queries":{"anyOf":[{"$ref":"#/components/schemas/DataQueries"},{"type":"null"}],"default":null},"crs":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Crs"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"parameter_names":{"$ref":"#/components/schemas/RootModel_Dict_str__Parameter__"},"distanceunits":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Distanceunits"}},"required":["id","links","extent","parameter_names"],"title":"Collection","type":"object"},"example":{"$defs":{"Category":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"}},"required":["id","label"],"title":"Category","type":"object"},"CorridorVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","height_units","within_units"],"title":"CorridorVariables","type":"object"},"CubeVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"}},"required":["query_type","height_units"],"title":"CubeVariables","type":"object"},"Custom":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"interval":{"items":{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},"title":"Interval","type":"array"},"values":{"anyOf":[{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},{"type":"null"}],"default":null,"title":"Values"},"reference":{"minLength":1,"title":"Reference","type":"string"}},"required":["id","interval","reference"],"title":"Custom","type":"object"},"DataQueries":{"additionalProperties":false,"properties":{"position":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"radius":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"area":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"cube":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"trajectory":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"corridor":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"locations":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"items":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"instances":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null}},"title":"DataQueries","type":"object"},"EDRQuery":{"additionalProperties":false,"properties":{"link":{"$ref":"#/$defs/EDRQueryLink"}},"required":["link"],"title":"EDRQuery","type":"object"},"EDRQueryLink":{"additionalProperties":true,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"}],"title":"Variables"}},"required":["href","rel","variables"],"title":"EDRQueryLink","type":"object"},"Extent":{"additionalProperties":false,"properties":{"spatial":{"$ref":"#/$defs/Spatial"},"temporal":{"anyOf":[{"$ref":"#/$defs/Temporal"},{"type":"null"}],"default":null},"vertical":{"anyOf":[{"$ref":"#/$defs/Vertical"},{"type":"null"}],"default":null},"custom":{"anyOf":[{"items":{"$ref":"#/$defs/Custom"},"type":"array"},{"type":"null"}],"default":null,"title":"Custom"}},"required":["spatial"],"title":"Extent","type":"object"},"ItemVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"ItemVariables","type":"object"},"Link":{"additionalProperties":false,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"},{"type":"null"}],"default":null,"title":"Variables"}},"required":["href","rel"],"title":"Link","type":"object"},"MeasurementType":{"additionalProperties":false,"properties":{"method":{"minLength":1,"title":"Method","type":"string"},"duration":{"minLength":1,"title":"Duration","type":"string"}},"required":["method","duration"],"title":"MeasurementType","type":"object"},"ObservedProperty":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"categories":{"anyOf":[{"items":{"$ref":"#/$defs/Category"},"type":"array"},{"type":"null"}],"default":null,"title":"Categories"}},"required":["label"],"title":"ObservedProperty","type":"object"},"Parameter":{"additionalProperties":true,"properties":{"type":{"const":"Parameter","default":"Parameter","title":"Type","type":"string"},"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"data-type":{"anyOf":[{"enum":["integer","float","string"],"type":"string"},{"type":"null"}],"default":null,"title":"Data-Type"},"unit":{"anyOf":[{"$ref":"#/$defs/Unit"},{"type":"null"}],"default":null},"observedProperty":{"$ref":"#/$defs/ObservedProperty"},"extent":{"anyOf":[{"$ref":"#/$defs/Extent"},{"type":"null"}],"default":null},"measurementType":{"anyOf":[{"$ref":"#/$defs/MeasurementType"},{"type":"null"}],"default":null}},"required":["observedProperty"],"title":"Parameter","type":"object"},"RadiusVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","within_units"],"title":"RadiusVariables","type":"object"},"RootModel_Dict_str__Parameter__":{"additionalProperties":{"$ref":"#/$defs/Parameter"},"title":"RootModel[Dict[str, Parameter]]","type":"object"},"Spatial":{"additionalProperties":false,"properties":{"bbox":{"items":{"items":{"type":"number"},"type":"array"},"title":"Bbox","type":"array"},"crs":{"minLength":1,"title":"Crs","type":"string"}},"required":["bbox","crs"],"title":"Spatial","type":"object"},"Symbol":{"additionalProperties":true,"properties":{"value":{"minLength":1,"title":"Value","type":"string"},"type":{"minLength":1,"title":"Type","type":"string"}},"required":["value","type"],"title":"Symbol","type":"object"},"Temporal":{"additionalProperties":false,"properties":{"interval":{"items":{"items":{"format":"date-time","type":"string"},"maxItems":2,"minItems":2,"type":"array"},"title":"Interval","type":"array"},"values":{"items":{"minLength":1,"type":"string"},"title":"Values","type":"array"},"trs":{"minLength":1,"title":"Trs","type":"string"}},"required":["interval","values","trs"],"title":"Temporal","type":"object"},"Unit":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"symbol":{"anyOf":[{"minLength":1,"type":"string"},{"$ref":"#/$defs/Symbol"},{"type":"null"}],"default":null,"title":"Symbol"}},"title":"Unit","type":"object"},"Variables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"Variables","type":"object"},"Vertical":{"additionalProperties":false,"properties":{"interval":{"items":{"items":{"minLength":1,"type":"string"},"type":"array"},"title":"Interval","type":"array"},"values":{"items":{"minLength":1,"type":"string"},"title":"Values","type":"array"},"vrs":{"minLength":1,"title":"Vrs","type":"string"}},"required":["interval","values","vrs"],"title":"Vertical","type":"object"}},"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"links":{"items":{"$ref":"#/$defs/Link"},"title":"Links","type":"array"},"extent":{"$ref":"#/$defs/Extent"},"data_queries":{"anyOf":[{"$ref":"#/$defs/DataQueries"},{"type":"null"}],"default":null},"crs":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Crs"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"parameter_names":{"$ref":"#/$defs/RootModel_Dict_str__Parameter__"},"distanceunits":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Distanceunits"}},"required":["id","links","extent","parameter_names"],"title":"Collection","type":"object"}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/EV24/cube":{"get":{"tags":["EV24"],"summary":"Query endpoint for cube queries of collection EV24 defined by coordinates.","description":"Return data for the cube defined by coordinates","parameters":[{"name":"f","in":"query","description":"Format of return data. Either 'netCDF4' or 'CoverageJSON'. Default is 'CoverageJSON'.","required":false,"examples":{"CoverageJSON":{"value":"CoverageJSON","summary":"CoverageJSON"},"netCDF4":{"value":"netCDF4","summary":"netCDF4"}}},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four numbers. The vertical axis (height or depth) should be provided in the z parameter. Example: bbox=4.7,52.3,4.8,52.4","title":"Bbox"},"description":"Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four numbers. The vertical axis (height or depth) should be provided in the z parameter. Example: bbox=4.7,52.3,4.8,52.4","examples":{"4 numbers":{"summary":"Bounding box - 2 dimensional","value":"3,50,7,54"},"no_numbers":{"summary":"Full geometry (empty)"}}},{"name":"z","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Define the vertical level to return data from i.e. z=level","title":"Z"},"description":"Define the vertical level to return data from i.e. z=level","examples":{"with_z":{"summary":"Defined z-level","value":"10"},"without_z":{"summary":"All z-levels (empty)"}}},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"summary":"Single date-time","value":"2021-07-22T00:00:00Z"},"closed_interval":{"summary":"Closed interval","value":"2021-07-23T00:00:00Z/2021-07-24T00:00:00Z"},"left_open_interval":{"summary":"Left open interval","value":"../2021-07-22T00:00:00Z"},"right_open_interval":{"summary":"Right open interval","value":"2021-07-23T00:00:00Z/.."},"all_time":{"summary":"All date-times"}}},{"name":"parameter-name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata","title":"Parameter-Name"},"description":"Comma delimited list of parameters to retrieve data for. Valid parameters are listed in the collections metadata"},{"name":"resolution-x","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"In case a grid is returned, the size of grid in points for x-direction.","title":"Resolution-X"},"description":"In case a grid is returned, the size of grid in points for x-direction.","examples":{"native":{"summary":"Native resolution"},"10":{"value":10}}},{"name":"resolution-y","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"In case a grid is returned, the size of grid in points for y-direction","title":"Resolution-Y"},"description":"In case a grid is returned, the size of grid in points for y-direction","examples":{"native":{"summary":"Native resolution"},"10":{"value":10}}}],"responses":{"200":{"description":"OK","content":{"application/prs.coverage+json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/CoverageCollection"},{"$ref":"#/components/schemas/Coverage"}]},"example":{"type":"CoverageCollection","domainType":"PointSeries","coverages":[{"type":"Coverage","domain":{"type":"Domain","domainType":"PointSeries","axes":{"x":{"values":[3.275]},"y":{"values":[51.9978]},"t":{"values":["2022-07-22T04:10:00Z"]}}},"ranges":{"t10":{"type":"NdArray","dataType":"float","axisNames":["t","y","x"],"shape":[1,1,1],"values":[16.5]}},"eumetnet:locationId":"0-20000-0-06321"}],"parameters":{"t10":{"type":"Parameter","label":{"en":"Air Temperature Mean"},"description":{"en":"10 minute mean air temperature, in degrees Celsius"},"observedProperty":{"id":"https://vocab.nerc.ac.uk/standard_name/air_temperature/","label":{"en":"Air temperature"}},"unit":{"label":{"en":"degrees celsius"},"symbol":{"value":"°C","type":"https://qudt.org/vocab/unit/DEG_C"}},"measurementType":{"method":"mean","duration":"N/A"},"eumetnet:standard_name":"air_temperature"}},"referencing":[{"coordinates":["y","x"],"system":{"type":"GeographicCRS","id":"http://www.opengis.net/def/crs/EPSG/0/4326"}},{"coordinates":["t"],"system":{"type":"TemporalRS","calendar":"Gregorian"}}]}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/EV24/instances":{"get":{"tags":["EV24"],"summary":"List data instances of EV24","description":"This will provide list of the available instances of the collection in JSON","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"links":{"items":{"$ref":"#/components/schemas/Link"},"title":"Links","type":"array"},"instances":{"items":{"$ref":"#/components/schemas/Instance"},"title":"Instances","type":"array"}},"required":["links","instances"],"title":"Instances","type":"object"},"example":{"$defs":{"Category":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"}},"required":["id","label"],"title":"Category","type":"object"},"CorridorVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","height_units","within_units"],"title":"CorridorVariables","type":"object"},"CubeVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"}},"required":["query_type","height_units"],"title":"CubeVariables","type":"object"},"Custom":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"interval":{"items":{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},"title":"Interval","type":"array"},"values":{"anyOf":[{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},{"type":"null"}],"default":null,"title":"Values"},"reference":{"minLength":1,"title":"Reference","type":"string"}},"required":["id","interval","reference"],"title":"Custom","type":"object"},"DataQueries":{"additionalProperties":false,"properties":{"position":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"radius":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"area":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"cube":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"trajectory":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"corridor":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"locations":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"items":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"instances":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null}},"title":"DataQueries","type":"object"},"EDRQuery":{"additionalProperties":false,"properties":{"link":{"$ref":"#/$defs/EDRQueryLink"}},"required":["link"],"title":"EDRQuery","type":"object"},"EDRQueryLink":{"additionalProperties":true,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"}],"title":"Variables"}},"required":["href","rel","variables"],"title":"EDRQueryLink","type":"object"},"Extent":{"additionalProperties":false,"properties":{"spatial":{"$ref":"#/$defs/Spatial"},"temporal":{"anyOf":[{"$ref":"#/$defs/Temporal"},{"type":"null"}],"default":null},"vertical":{"anyOf":[{"$ref":"#/$defs/Vertical"},{"type":"null"}],"default":null},"custom":{"anyOf":[{"items":{"$ref":"#/$defs/Custom"},"type":"array"},{"type":"null"}],"default":null,"title":"Custom"}},"required":["spatial"],"title":"Extent","type":"object"},"Instance":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"links":{"items":{"$ref":"#/$defs/Link"},"title":"Links","type":"array"},"extent":{"$ref":"#/$defs/Extent"},"data_queries":{"anyOf":[{"$ref":"#/$defs/DataQueries"},{"type":"null"}],"default":null},"crs":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Crs"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"parameter_names":{"$ref":"#/$defs/RootModel_Dict_str__Parameter__"},"distanceunits":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Distanceunits"}},"required":["id","links","extent","parameter_names"],"title":"Instance","type":"object"},"ItemVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"ItemVariables","type":"object"},"Link":{"additionalProperties":false,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"},{"type":"null"}],"default":null,"title":"Variables"}},"required":["href","rel"],"title":"Link","type":"object"},"MeasurementType":{"additionalProperties":false,"properties":{"method":{"minLength":1,"title":"Method","type":"string"},"duration":{"minLength":1,"title":"Duration","type":"string"}},"required":["method","duration"],"title":"MeasurementType","type":"object"},"ObservedProperty":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"categories":{"anyOf":[{"items":{"$ref":"#/$defs/Category"},"type":"array"},{"type":"null"}],"default":null,"title":"Categories"}},"required":["label"],"title":"ObservedProperty","type":"object"},"Parameter":{"additionalProperties":true,"properties":{"type":{"const":"Parameter","default":"Parameter","title":"Type","type":"string"},"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"data-type":{"anyOf":[{"enum":["integer","float","string"],"type":"string"},{"type":"null"}],"default":null,"title":"Data-Type"},"unit":{"anyOf":[{"$ref":"#/$defs/Unit"},{"type":"null"}],"default":null},"observedProperty":{"$ref":"#/$defs/ObservedProperty"},"extent":{"anyOf":[{"$ref":"#/$defs/Extent"},{"type":"null"}],"default":null},"measurementType":{"anyOf":[{"$ref":"#/$defs/MeasurementType"},{"type":"null"}],"default":null}},"required":["observedProperty"],"title":"Parameter","type":"object"},"RadiusVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","within_units"],"title":"RadiusVariables","type":"object"},"RootModel_Dict_str__Parameter__":{"additionalProperties":{"$ref":"#/$defs/Parameter"},"title":"RootModel[Dict[str, Parameter]]","type":"object"},"Spatial":{"additionalProperties":false,"properties":{"bbox":{"items":{"items":{"type":"number"},"type":"array"},"title":"Bbox","type":"array"},"crs":{"minLength":1,"title":"Crs","type":"string"}},"required":["bbox","crs"],"title":"Spatial","type":"object"},"Symbol":{"additionalProperties":true,"properties":{"value":{"minLength":1,"title":"Value","type":"string"},"type":{"minLength":1,"title":"Type","type":"string"}},"required":["value","type"],"title":"Symbol","type":"object"},"Temporal":{"additionalProperties":false,"properties":{"interval":{"items":{"items":{"format":"date-time","type":"string"},"maxItems":2,"minItems":2,"type":"array"},"title":"Interval","type":"array"},"values":{"items":{"minLength":1,"type":"string"},"title":"Values","type":"array"},"trs":{"minLength":1,"title":"Trs","type":"string"}},"required":["interval","values","trs"],"title":"Temporal","type":"object"},"Unit":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"symbol":{"anyOf":[{"minLength":1,"type":"string"},{"$ref":"#/$defs/Symbol"},{"type":"null"}],"default":null,"title":"Symbol"}},"title":"Unit","type":"object"},"Variables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"Variables","type":"object"},"Vertical":{"additionalProperties":false,"properties":{"interval":{"items":{"items":{"minLength":1,"type":"string"},"type":"array"},"title":"Interval","type":"array"},"values":{"items":{"minLength":1,"type":"string"},"title":"Values","type":"array"},"vrs":{"minLength":1,"title":"Vrs","type":"string"}},"required":["interval","values","vrs"],"title":"Vertical","type":"object"}},"additionalProperties":false,"properties":{"links":{"items":{"$ref":"#/$defs/Link"},"title":"Links","type":"array"},"instances":{"items":{"$ref":"#/$defs/Instance"},"title":"Instances","type":"array"}},"required":["links","instances"],"title":"Instances","type":"object"}}}}},"security":[{"APIKeyHeader":[]}]}},"/collections/EV24/instances/{instance_id}":{"get":{"tags":["EV24"],"summary":"Description and metadata of the instance","description":"This will provide information about the instance in JSON","parameters":[{"name":"instance_id","in":"path","required":true,"schema":{"type":"string","title":"Instance Id"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"keywords":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Keywords"},"links":{"items":{"$ref":"#/components/schemas/Link"},"title":"Links","type":"array"},"extent":{"$ref":"#/components/schemas/Extent"},"data_queries":{"anyOf":[{"$ref":"#/components/schemas/DataQueries"},{"type":"null"}],"default":null},"crs":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Crs"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"parameter_names":{"$ref":"#/components/schemas/RootModel_Dict_str__Parameter__"},"distanceunits":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Distanceunits"}},"required":["id","links","extent","parameter_names"],"title":"Instance","type":"object"},"example":{"$defs":{"Category":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"}},"required":["id","label"],"title":"Category","type":"object"},"CorridorVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"},"within_units":{"items":{"minLength":1,"type":"string"},"title":"Within Units","type":"array"}},"required":["query_type","height_units","within_units"],"title":"CorridorVariables","type":"object"},"CubeVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"},"height_units":{"items":{"minLength":1,"type":"string"},"title":"Height Units","type":"array"}},"required":["query_type","height_units"],"title":"CubeVariables","type":"object"},"Custom":{"additionalProperties":false,"properties":{"id":{"minLength":1,"title":"Id","type":"string"},"interval":{"items":{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},"title":"Interval","type":"array"},"values":{"anyOf":[{"items":{"anyOf":[{"minLength":1,"type":"string"},{"type":"number"}]},"type":"array"},{"type":"null"}],"default":null,"title":"Values"},"reference":{"minLength":1,"title":"Reference","type":"string"}},"required":["id","interval","reference"],"title":"Custom","type":"object"},"DataQueries":{"additionalProperties":false,"properties":{"position":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"radius":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"area":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"cube":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"trajectory":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"corridor":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"locations":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"items":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null},"instances":{"anyOf":[{"$ref":"#/$defs/EDRQuery"},{"type":"null"}],"default":null}},"title":"DataQueries","type":"object"},"EDRQuery":{"additionalProperties":false,"properties":{"link":{"$ref":"#/$defs/EDRQueryLink"}},"required":["link"],"title":"EDRQuery","type":"object"},"EDRQueryLink":{"additionalProperties":true,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"}],"title":"Variables"}},"required":["href","rel","variables"],"title":"EDRQueryLink","type":"object"},"Extent":{"additionalProperties":false,"properties":{"spatial":{"$ref":"#/$defs/Spatial"},"temporal":{"anyOf":[{"$ref":"#/$defs/Temporal"},{"type":"null"}],"default":null},"vertical":{"anyOf":[{"$ref":"#/$defs/Vertical"},{"type":"null"}],"default":null},"custom":{"anyOf":[{"items":{"$ref":"#/$defs/Custom"},"type":"array"},{"type":"null"}],"default":null,"title":"Custom"}},"required":["spatial"],"title":"Extent","type":"object"},"ItemVariables":{"additionalProperties":true,"properties":{"query_type":{"minLength":1,"title":"Query Type","type":"string"},"output_formats":{"anyOf":[{"items":{"minLength":1,"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Output Formats"},"default_output_format":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Default Output Format"}},"required":["query_type"],"title":"ItemVariables","type":"object"},"Link":{"additionalProperties":false,"properties":{"href":{"minLength":1,"title":"Href","type":"string"},"hreflang":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Hreflang"},"rel":{"minLength":1,"title":"Rel","type":"string"},"type":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Type"},"title":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Length"},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":null,"title":"Templated"},"variables":{"anyOf":[{"$ref":"#/$defs/Variables"},{"$ref":"#/$defs/CubeVariables"},{"$ref":"#/$defs/CorridorVariables"},{"$ref":"#/$defs/ItemVariables"},{"$ref":"#/$defs/RadiusVariables"},{"type":"null"}],"default":null,"title":"Variables"}},"required":["href","rel"],"title":"Link","type":"object"},"MeasurementType":{"additionalProperties":false,"properties":{"method":{"minLength":1,"title":"Method","type":"string"},"duration":{"minLength":1,"title":"Duration","type":"string"}},"required":["method","duration"],"title":"MeasurementType","type":"object"},"ObservedProperty":{"additionalProperties":false,"properties":{"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"minLength":1,"title":"Label","type":"string"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"categories":{"anyOf":[{"items":{"$ref":"#/$defs/Category"},"type":"array"},{"type":"null"}],"default":null,"title":"Categories"}},"required":["label"],"title":"ObservedProperty","type":"object"},"Parameter":{"additionalProperties":true,"properties":{"type":{"const":"Parameter","default":"Parameter","title":"Type","type":"string"},"id":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"label":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Label"},"description":{"anyOf":[{"minLength":1,"type":"string"},{"type":"null"}],"default":null,"title":"Description"},"data-type":{"anyOf":[{"enum":["integer","float","string"],"type":"string"},{"type":"null"}],"default":null,"title":"Data-Type"},"unit":{"anyOf":[{"$ref":"#/$defs/Unit"},{"type":"null"}],"default":null},"observedProperty":{"$ref":"#/$defs/ObservedProperty"},"extent":{"anyOf":[{"$ref":"#/$defs/Extent"},{"type":"null"}],"default":null},"measurementType":{"anyOf":[{"
[...]
